Bug 139299 - [MAINTAINER] audio/ncmpc update to 0.15
Summary: [MAINTAINER] audio/ncmpc update to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-01 22:40 UTC by Henrik Friedrichsen
Modified: 2009-10-10 10:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.67 KB, patch)
2009-10-01 22:40 UTC, Henrik Friedrichsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Friedrichsen 2009-10-01 22:40:03 UTC
This patch updates audio/ncmpc to 0.15

Fix: Patch attached with submission follows:
Comment 1 Henrik Friedrichsen 2009-10-01 23:04:49 UTC
Ooops, made a mistake there. Please use this diff instead:

--- ncmpc.diff begins here ---
diff -Naur ./Makefile ../ncmpc/Makefile
--- ./Makefile	2009-10-01 23:38:12.000000000 +0200
+++ ../ncmpc/Makefile	2009-10-01 23:54:37.000000000 +0200
@@ -6,8 +6,7 @@
 #

 PORTNAME=	ncmpc
-PORTVERSION=	0.14
-PORTREVISION=	1
+PORTVERSION=	0.15
 CATEGORIES=	audio
 MASTER_SITES=	SF/musicpd/${PORTNAME}/${PORTVERSION}

@@ -35,7 +34,7 @@
 CONFIGURE_ARGS+=--disable-nls
 .else
 USE_GETTEXT=	yes
-LANGUAGES=cs da de es fr gl hu ko nb nl ru sk sv uk zh_CN
+LANGUAGES=cs da de es fr gl he hu ko nb nl ru sk sv uk zh_CN
 .for language in ${LANGUAGES}
 PLIST_FILES+=share/locale/${language}/LC_MESSAGES/ncmpc.mo
 .endfor
@@ -69,7 +68,10 @@
 .endfor
 .endif
 .if !defined(WITHOUT_LYRICS)
-	${MAKE} -C ${WRKSRC} install-exec-local
+	${MKDIR} ${PREFIX}/lib/ncmpc/lyrics
+	${INSTALL_SCRIPT} ${WRKSRC}/lyrics/01-hd.sh
${PREFIX}/lib/ncmpc/lyrics/01-hd.sh
+	${INSTALL_SCRIPT} ${WRKSRC}/lyrics/02-lyricwiki.rb
${PREFIX}/lib/ncmpc/lyrics/02-lyricwiki.rb
+	${INSTALL_SCRIPT} ${WRKSRC}/lyrics/03-leoslyrics.py
${PREFIX}/lib/ncmpc/lyrics/03-leoslyrics.py
 .endif

 .include <bsd.port.post.mk>
diff -Naur ./distinfo ../ncmpc/distinfo
--- ./distinfo	2009-10-01 23:38:12.000000000 +0200
+++ ../ncmpc/distinfo	2009-10-01 23:41:29.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (ncmpc-0.14.tar.gz) = de1ab9ef2df6dab9ad1c1c29fcdde19d
-SHA256 (ncmpc-0.14.tar.gz) =
3eb7628963f029d283a274688bf72d09d1e8abc67407d23ce9fb0b15e8c6e022
-SIZE (ncmpc-0.14.tar.gz) = 314744
+MD5 (ncmpc-0.15.tar.gz) = 363fde730c9b4a5cec05e00e7ae64e03
+SHA256 (ncmpc-0.15.tar.gz) =
c28c02b6289b43f1301f0f73121c928fc88c90008fbf3bda6a5069a8519b5887
+SIZE (ncmpc-0.15.tar.gz) = 328034
diff -Naur ./files/patch-03-leoslyrics.py ../ncmpc/files/patch-03-leoslyrics.py
--- ./files/patch-03-leoslyrics.py	1970-01-01 01:00:00.000000000 +0100
+++ ../ncmpc/files/patch-03-leoslyrics.py	2009-10-02 00:01:57.000000000 +0200
@@ -0,0 +1,9 @@
+diff -Naur ./lyrics/03-leoslyrics.py ../ncmpc-0.15/lyrics/03-leoslyrics.py
+--- ./lyrics/03-leoslyrics.py	2009-10-02 00:00:36.000000000 +0200
++++ ../ncmpc-0.15/lyrics/03-leoslyrics.py	2009-10-02 00:01:34.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/local/bin/python
+ #
+ #  (c) 2004-2008 The Music Player Daemon Project
+ #  http://www.musicpd.org/
--- ncmpc.diff ends here ---
Comment 2 Martin Wilke freebsd_committer 2009-10-02 08:34:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2009-10-10 10:23:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-10-10 10:24:02 UTC
miwi        2009-10-10 09:23:47 UTC

  FreeBSD ports repository

  Modified files:
    audio/ncmpc          Makefile distinfo 
  Log:
  - Update to 0.15
  
  PR:             139299
  Submitted by:   Henrik Friedrichsen <hrkfdn@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.17      +10 -4     ports/audio/ncmpc/Makefile
  1.9       +3 -3      ports/audio/ncmpc/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"